# Dump by Albert::Config->dump 1.34 Thu Dec  6 17:36:56 2018

[Application]
	maxanswers 0
	use_summary yes
	log_dir log/
	fuzzy yes
	phrase_weight 0
	dbsock /var/run/mysql/mysqld.sock 
	max_sent_shyp 10000 
	trace_path trace 
	add_simple_terms_qry no
	weight_per_letter 10
	trace_network no
	merge_results no
	check_rating 0
	default_query 
	max_gen_shyp 10000 
	interpret_asso_phrase yes
	global_stw no
	dbhost tmdb
	dbport 3306

[ClusteringResults]
	nb_word_per_barycenter 2
	name cluster
	max_doc_per_cluster 0
	strategy C3
	use_only_title yes
	np_max_words 0
	percent_to_reclustering 50
	in_operation no

[DataNode]
	password marcel
	bind_interface 127.0.0.1
	name root
	port 10666
	user albert
	ip_address localhost
	active yes
	verbose yes

[DataSource]
	command /cgi-alb/albQuery.cgi
	strategy A
	traffic_log yes
	results 100
	origin AMI
	in_operation yes
	dbname albindexdb
	name ami_index
	min_words 0
	module cnxalbert.so
	weight 100
	type any
	ip_address localhost
	service_port 80

[ExpandDB]
	dbpasswd marcel
	dbname albexpdb
	update_log no
	dbscript EXPDB.sql
	dbuser albert

[ExpandingServer]
	qry_mx_wrds 3
	results 5
	query no
	in_operation no
	command /cgi-alb/albExpander.cgi
	prf_mx_usrs 3
	qry_mx_wrds_learn 7
	prf_mx_wrds 3
	ip_address localhost
	service_port 80
	name expander
	bind_interface 127.0.0.1

[Filter]
	type text/plain
	module fil_plain.so

[Filter]
	replace yes
	charset utf-8
	command External/pdftotext -enc UTF-8 -raw -q -htmlmeta -eol unix @I @O
	type application/pdf
	module filx_pdf.so

[Filter]
	module filx_swf.so
	type application/x-shockwave-flash
	html_scan_xml yes
	command External/swf2html -o @O @I

[Filter]
	type application/postscript
	module filx_ps.so
	command /usr/bin/pstotext -output @O @I

[Filter]
	charset utf-8
	command External/catdoc/catdoc -d utf-8 @I >@O
	module filx_all.so
	type application/msword

[Filter]
	module filx_all.so
	type application/mspowerpoint
	charset utf-8
	command External/catdoc/catppt -d utf-8 @I >@O

[Filter]
	module filx_all.so
	type application/msexcel
	command External/catdoc/xls2csv -c " " -q 0 -d utf-8 @I >@O
	charset utf-8

[Filter]
	html_keep_alt no
	html_keep_embed yes
	html_scan_xml yes
	html_keep_img yes
	module fil_html.so
	type text/html

[Filter]
	module fil_xml.so
	type text/xml

[Filter]
	module fil_rtf.so
	type application/rtf

[GMIL]
	np_min_words 2
	reajust_text yes
	np_max_words 0
	title_mode A1
	summary_size 600
	np_weight_mode BQ
	title_size 64
	np_doc_rate 100

[IndexDB]
	dbname albindexdb
	dbuser albert
	cache_plaintext yes
	dbscript INDEXDB.sql
	cache_xhtml yes
	db_stripe 4
	filter_script yes
	db_gzip yes
	dbpasswd marcel
	lucene_db no

[Indexing]
	period 1440
	cache_plaintext yes
	min_words 0
	checkpoint_nb_docs 10000
	nb_hours_for_overload 1
	auto_checkpoint yes
	depth 2
	nb_error_for_delete 50
	filter_script yes
	use_auto_title yes
	use_gmil yes
	add_word_positions yes
	ignore_url_fields PHPSESSID,jsessionid,gclid
	max_proc_server 1
	checkpoint_nb_secs 86400
	max_proc_retriever_per_server 1
	sites_dir sites
	add_words ami:INTERNAL ami:EXTERNAL
	max_documents 100
	index_cgi yes
	server_friend no
	nb_hours_for_timeout 1

[KnowledgeDB]
	dbpasswd marcel
	weight_per_accent 1
	active yes
	dbuser albert
	weight_per_case 0
	weight_per_letter 10
	dbscript KBASE.sql
	dbname albkdb
	dbhost tmdb
	dbport 3306

[KnowledgeDB]
	dbpasswd marcel
	weight_per_accent 1
	active yes
	dbuser albert
	weight_per_case 0
	weight_per_letter 10
	dbscript KBASE.sql
	dbname lexicon_kdb
	dbhost tmdb
	dbport 3306

[Language]
	module nlp_ar.so
	in_operation yes
	name Arabic

[Language]
	name Chinese
	module nlp_zh.so
	in_operation no

[Language]
	name Czech
	module nlp_cs.so
	in_operation no

[Language]
	module nlp_nl.so
	in_operation no
	name Dutch

[Language]
	name French
	module nlp_fr.so
	in_operation yes

[Language]
	name English
	module nlp_en.so
	in_operation yes

[Language]
	module nlp_de.so
	in_operation no
	name German

[Language]
	in_operation no
	module nlp_it.so
	name Italian

[Language]
	name Japanese
	in_operation no
	module nlp_ja.so

[Language]
	name Korean
	in_operation no
	module nlp_ko.so

[Language]
	name Polish
	in_operation no
	module nlp_pl.so

[Language]
	name Portuguese
	module nlp_pt.so
	in_operation no

[Language]
	in_operation no
	module nlp_ru.so
	name Russian

[Language]
	in_operation no
	module nlp_es.so
	name Spanish

[LanguageSet]
	file web_stopwords.txt
	name cleaner
	in_operation yes

[LearningServer]
	in_operation no
	lexicon_min_occ 10000
	max_field_words 0
	association_max_length 3
	lexicon_min_txt 10000
	accept_num no
	only_terminology yes
	service_port 8081
	lexicon_min_length 10000
	name learner
	store no
	association_keep_rate 25
	fuzzy false

[LogDB]
	dbname alblogdb
	dbuser albert
	dbpasswd marcel

[LogServer]
	service_port 31416
	ip_address localhost
	in_operation yes
	file logger.xml
	bind_interface 127.0.0.1
	name logger

[PostRanking]
	threshold 0
	reference_field 37
	add_source_weight no
	title_field 26
	name postrank
	in_operation yes
	wordlist_weight 78
	pos_rank_weight 50
	description_field 11
	strategy A

[QBS]
	strict_mode yes
	in_operation no
	title_mode A0
	query_sum_minimum 768
	title_size 64
	query_sum_maximum 131072
	name qbs
	summary_size 600

[Retriever]
	module ret_http.so
	protocol https

[Retriever]
	max_size 40000000
	protocol http
	module ret_http.so
	accept_gz_encoding yes
	proxy_port 3128
	user_agent RoundAgent
	tmpdir /tmp
	use_proxy no

[Retriever]
	indexer_email support@amisw.com
	module ret_ftp.so
	protocol ftp

[Retriever]
	module ret_file.so
	protocol file
	max_depth 2
	max_size 600000000

[Retriever]
	protocol nntp
	module ret_nntp.so


[Runner]
	ip_address localhost
	password marcel
	active yes
	queue_dir RUNNER
	user albert
	port 31418
	name runner1

[Runner]
	port 31419
	user albert
	name runner2
	queue_dir RUNNER2
	active yes
	ip_address localhost
	password marcel

[Scripts]
	scripts_dir scripts
	smtp_hostname localhost
	max_size 60000096

[SourceType]
	name ami_rss
	index_script sitemode/mode_rss.js
	period 1440
	max_depth 1

[SourceType]
	name facebook
	index_script extensions/facebook/mode_facebook.js
	period 30
	max_depth 1

[SourceType]
	period 30
	max_depth 1
	index_script extensions/generic/mode_generic.js
	name generic

[SourceType]
	index_script extensions/gmail/mode_gmail.js
	name gmail
	period 30
	max_depth 1

[SourceType]
	name googleplus
	index_script extensions/googleplus/mode_googleplus.js
	period 30
	max_depth 1

[SourceType]
	index_script sitemode/mode_link.js
	name link
	max_depth 1
	period 1440

[SourceType]
	name linkedin
	index_script extensions/linkedin/mode_linkedin.js
	period 720
	max_depth 1

[SourceType]
	max_depth 0
	index_script sitemode/mode_page.js
	name page

[SourceType]
	name rss
	index_script sitemode/mode_rss.js
	period 1440
	max_depth 1

[SourceType]
	max_depth 1
	period 1440
	name rtalk
	index_script sitemode/mode_rtalk.js

[SourceType]
	period 30
	max_depth 1
	index_script extensions/sciencedirect/mode_sciencedirect.js
	name sciencedirect

[SourceType]
	max_depth 1
	period 30
	index_script extensions/sourcebox/mode_sourcebox.js
	name sourcebox

[SourceType]
	name talk
	index_script sitemode/mode_talk.js
	period 1440
	max_depth 1

[SourceType]
	period 30
	max_depth 1
	index_script extensions/twitter/mode_twitter.js
	name twitter

[SourceType]
	name youtube
	index_script extensions/youtube/mode_youtube.js
	max_depth 1
	period 30

[UserAuthentication]
	module auth_general.so
	name auth

[UserInterface]
	module /opt/albert/modules/dsphtml.so
	doctemplate modele.html
	display_max 100
	display_threshold 250

# end albert.conf
 
 
 
